EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_gfx_color_class_set, Eina_Bool, 0, EFL_FUNC_CALL(color_class, layer, r, g, b, a), const char *color_class, Efl_Gfx_Color_Class_Layer layer, int r, int g, int b, int a);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_gfx_color_class_get, Eina_Bool, 0, EFL_FUNC_CALL(color_class, layer, r, g, b, a), const char *color_class, Efl_Gfx_Color_Class_Layer layer, int *r, int *g, int *b, int *a);

Eina_Bool _efl_gfx_color_class_color_class_code_set(Eo *obj, void *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer, const char *colorcode);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_gfx_color_class_code_set, Eina_Bool, 0, EFL_FUNC_CALL(color_class, layer, colorcode), const char *color_class, Efl_Gfx_Color_Class_Layer layer, const char *colorcode);

const char *_efl_gfx_color_class_color_class_code_get(const Eo *obj, void *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_gfx_color_class_code_get, const char *, NULL, EFL_FUNC_CALL(color_class, layer), const char *color_class, Efl_Gfx_Color_Class_Layer layer);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_gfx_color_class_description_get, const char *, NULL, EFL_FUNC_CALL(color_class), const char *color_class);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_color_class_del, EFL_FUNC_CALL(color_class), const char *color_class);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_gfx_color_class_clear);

static Eina_Bool
_efl_gfx_color_class_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_GFX_COLOR_CLASS_EXTRA_OPS
#define EFL_GFX_COLOR_CLASS_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_code_set, _efl_gfx_color_class_color_class_code_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_code_get, _efl_gfx_color_class_color_class_code_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_description_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_del, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_clear, NULL),
      EFL_GFX_COLOR_CLASS_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_gfx_color_class_class_desc = {
   EO_VERSION,
   "Efl.Gfx.Color_Class",
   EFL_CLASS_TYPE_MIXIN,
   0,
   _efl_gfx_color_class_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_gfx_color_class_mixin_get, &_efl_gfx_color_class_class_desc, NULL, NULL);
